curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/e-invoice/tax-payer/invoice/{irn} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/e-invoice/tax-payer/invoice/{irn}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/e-invoice/tax-payer/invoice/{irn}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get e-Invoice by IRN
Fetch the e-Invoice by passing the invoice registration number (IRN). To fetch an e-Invoice, the authenticated taxpayer has to be a party in the transaction, either the seller or the buyer.
Response schema
For successful responses, this resource describes the NIC payload atdata.Data.
View JSON schema
Headers
E-Invoice access token. For token-generation steps, refer to the Generate E-Invoice Session recipe, then pass the token in the authorization header.
Specifies the source to access, either primary (NIC 1) or secondary (NIC 2)
primary, secondary "primary"
Enables criss-cross operations by routing requests through the specified source (e.g., access primary via secondary if primary is unavailable)
primary, secondary "secondary"
API version
API key for identification
Path Parameters
Response
2148 IRN data not available / 2283 IRN generated more than 2 days ago / 200 Get cancelled IRN / 200 Get IRN (DBN) / 200 Get IRN (CRN) / 200 Get IRN (INV)
- Option 1
- Option 2
A successful NIC response or a NIC business-error response. Both variants use HTTP 200.
HTTP-compatible Sandbox response code.
200 200
Unix timestamp in milliseconds.
1763446641000
Request transaction identifier.
"175fe134-c501-4ac0-8403-b52a4abccd0b"
Show child attributes
Show child attributes
Was this page helpful?